package ru.dbotthepony.mc.otm.config

import ru.dbotthepony.mc.otm.core.math.Decimal
import ru.dbotthepony.mc.otm.core.math.defineDecimal

object CablesConfig : AbstractConfig("cables") {
	enum class E(throughput: Decimal) {
		CRUDE(Decimal(160)),
		REGULAR(Decimal(1024)),
		ADVANCED(Decimal(8192)),
		SUPERCONDUCTOR(Decimal.POSITIVE_INFINITY);

		init {
			builder.push(name)
		}

		var throughput by builder
			.defineDecimal("THROUGHPUT", throughput, Decimal.ZERO)

		init {
			builder.pop()
		}
	}

	init {
		E.SUPERCONDUCTOR
	}
}
